#ifndef TRAINEESWIDGET_H
#define TRAINEESWIDGET_H

#include "traineesview.h"

namespace Ui {
class ViewerTrainees;
}

//Виджет только для просмотра БД Обучаемых

class ViewerTrainees : public TraineesView
{
    Q_OBJECT

public:
    explicit ViewerTrainees(InterfaceDataBaseLMS* db, QWidget *parent = nullptr);
    ~ViewerTrainees();

protected:
    void changeEvent(QEvent * event) override;

Q_SIGNALS:
    //сигнал о блокировке авторизации
    void signal_BlockAutorization(bool block);

private Q_SLOTS:
    //void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);
    void on_btnEditorTrainees_clicked();
    void on_treeWidget_currentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);

public Q_SLOTS:
    //слот обработки сигнала об изменении вкладки диалога в мессенджере
    void slot_tabMessengerChanged(QString login);

Q_SIGNALS:
    //сигнал о выборе обучаемого
    void signal_traineeSelected(QString login);

private:
    void updateButtons() override;

private:
    Ui::ViewerTrainees *ui;
};

#endif // TRAINEESWIDGET_H
